# user test 55811
# dossier test 4009,5084,6008,6315

# This is the migrations file from Flag Lists D7
id: d7_flaglists
label: 'Materio Flagging Collections D7'
migration_group: d7_materio
audit: true
migration_tags:
  - Drupal 7
  - Content
  - materio
migration_dependencies:
  required:
    - d7_users
    - d7_node_article
    - d7_node_materiau
source:
  plugin: d7_flaglists_materio
  # key: migrate
#
process:
  # id: fid
  # vid: fid
  langcode:
    plugin: default_value
    default_value: en
  # needs migration_lookup
  # user_id: uid
  user_id:
    plugin: migration_lookup
    migration: d7_users
    source: uid

  name: title
  # Shall be name from flag
  # templateflag: name
  # relatedflag: name
  templateflag:
    plugin: default_value
    default_value: dossier
  relatedflag:
    plugin: default_value
    default_value: dossier
#
destination:
  plugin: entity:flagging_collection
  default_bundle: flagging_collection_type
